#
# spec file for package python-urlgrabber
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-urlgrabber
Version:        3.9.1
Release:        lp151.2.1
Url:            http://urlgrabber.baseurl.org
Summary:        A high-level cross-protocol url-grabber
License:        LGPL-2.1
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/u/urlgrabber/urlgrabber-%{version}.tar.gz
Patch0:         grabber_fix.diff
# PATCH-FIX-UPSTREAM bnc#896844
Patch1:         python-urlgrabber-3.9.1-preserve-queryparams-in-urls.patch
Patch2:         declare-dollar-sign-as-safe-in-urlquote.patch
Patch3:         python-urlgrabber-3.9.1-set-SSL_VERIFYHOST-correct.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-pycurl
Requires:       python-pycurl
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
A high-level cross-protocol url-grabber for python supporting HTTP, FTP
and file locations.  Features include keepalive, byte ranges,
throttling, authentication, proxies and more.

%prep
%setup -q -n urlgrabber-%{version}
sed -i "13d" urlgrabber/__init__.py # Remove wrong license header, fixes bnc#781323
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}/usr/share/doc/urlgrabber-%{version} # Remove wrongly installed docs

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README TODO
%{_bindir}/urlgrabber
%{python_sitelib}/*

%changelog
* Thu Feb 12 2015 mc@suse.de
- declare $ sign as a safe character in url paths to prevent
  escaping /$RCE/ which lead into problems with token auth
  (bnc#902416)
  * declare-dollar-sign-as-safe-in-urlquote.patch
  * python-urlgrabber-3.9.1-set-SSL_VERIFYHOST-correct.dif
- set curl option SSL_VERIFYHOST correct
* Tue Sep 16 2014 dmacvicar@suse.de
- Add python-urlgrabber-3.9.1-preserve-queryparams-in-urls.patch
  (bnc#896844)
* Wed Feb  6 2013 jmatejek@suse.com
- Add grabber_fix.diff: Fixed timeout and other errors breaking yum
  compatibility (bnc#793650)
* Mon Oct  1 2012 saschpe@suse.de
- Fixed wrong license header in urlgrabber/__init__.py (bnc#781323)
- Updated upstream URL, the project moved the baseurl.org (yum)
* Tue Sep 20 2011 saschpe@suse.de
- Update to version 3.9.1:
  * cleanup all the old urlgrabber urllib code that's not being used
  * delete sslfactory and keepalive fix up the unittests to match existing code
  * make sure the value we get back from the parse150 and other calls is
    converted to an int before we make it 'size' rhbug: #524705
- Spec file updates:
  * Removed authors from description
  * Dropped useless python-urlgrabber-2.9.9.patch
  * Dropped obsolete python-urlgrabber-3.1.0.patch (upstream changed)
  * Require python-pycurl
* Wed Aug 12 2009 matejcik@suse.cz
- build as noarch on newer distros
- switched filelist to --record-rpm
* Mon Aug 10 2009 coolo@novell.com
- sync factory and build service
* Sun Aug  9 2009 coolo@novell.com
- use new python macros
* Tue May 12 2009 poeml@suse.de
- fix build on 11.1 onwards, where python must be in the
  buildrequires in addition to python-devel, because otherwise
  urllib2 appears to have no SSL support
* Fri Sep 26 2008 cthiel@suse.de
- add python to BuildRequires to fix build
* Tue Feb 19 2008 cthiel@suse.de
- fix url parsing error in grabber.py (bnc #362937)
* Mon Oct  2 2006 cthiel@suse.de
- fix build on older distributions
* Sun Oct  1 2006 cthiel@suse.de
- update to version 3.1.0
  * various fixes
* Thu Sep 21 2006 cthiel@suse.de
- fix build with python 2.5
* Fri Aug  4 2006 cthiel@suse.de
- update to version 2.9.10
  * Make keepalive, byteranges, etc. work with https.
  * Fixed a minor error reporting bug due to changes in python 2.4.
  * Catch read errors after the file has been opened.
- removed obsolete urlgrabber-read-error.patch
* Thu May 25 2006 cthiel@suse.de
- update to version 2.9.9
  * Added tests to make sure that the "quote" option works as advertised
  * Significant improvement to URL parsing.  Parsing is now broken out into
    a separate class (URLParser).  It will now (by default) guess whether a
    URL is already quoted, properly handle local files and URLs on windows,
    and display un-quoted versions of the filename in the progress meter.
  * Added a reget progress bar patch from Menno, and fixed the annoying next
    _IndexError bug.
- added urlgrabber-read-error.patch (from Fedora)
- removed python-urlgrabber-2.9.7-reget.patch (included upstream)
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 dmueller@suse.de
- don't build as root
* Wed Oct 26 2005 cthiel@suse.de
- update to version 2.9.7
* Tue Sep 13 2005 cthiel@suse.de
- specfile cleanup
* Sun Aug 14 2005 cthiel@suse.de
- initial package (version 2.9.6)
